Share via


Bookshelf Private Endpoint Connections - Create Or Update

Approves or updates the specified private endpoint connection.

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Discovery/bookshelves/{bookshelfName}/privateEndpointConnections/{privateEndpointConnectionName}?api-version=2026-02-01-preview

URI Parameters

Name In Required Type Description
bookshelfName
path True

string

pattern: ^[a-zA-Z0-9-]{3,24}$

The name of the Bookshelf

privateEndpointConnectionName
path True

string

The name of the private endpoint connection associated with the Azure resource.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Body

Name Type Description
properties

PrivateEndpointConnectionProperties

The resource-specific properties for this resource.

Responses

Name Type Description
200 OK

BookshelfPrivateEndpointConnection

Resource 'BookshelfPrivateEndpointConnection' update operation succeeded

201 Created

BookshelfPrivateEndpointConnection

Resource 'BookshelfPrivateEndpointConnection' create operation succeeded

Headers

  • Azure-AsyncOperation: string
  • Retry-After: integer
Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

BookshelfPrivateEndpointConnections_CreateOrUpdate_MaximumSet

Sample request

PUT https://management.azure.com/subscriptions/C058B75F-64D2-4E9D-8B66-65339DCB22C7/resourceGroups/rgdiscovery/providers/Microsoft.Discovery/bookshelves/a65f3c23bf2baa5bd4/privateEndpointConnections/connection?api-version=2026-02-01-preview

{
  "properties": {
    "privateEndpoint": {},
    "privateLinkServiceConnectionState": {
      "status": "Pending",
      "description": "lknyprq",
      "actionsRequired": "vgqhrxvmviabfgmafqtbej"
    }
  }
}

Sample response

{
  "id": "/subscriptions/C058B75F-64D2-4E9D-8B66-65339DCB22C7/resourceGroups/rgdiscovery/providers/Microsoft.Discovery/bookshelves/a65f3c23bf2baa5bd4/privateEndpointConnections/connection",
  "name": "connection",
  "type": "Microsoft.Discovery/bookshelves/privateEndpointConnections",
  "systemData": {
    "createdBy": "ly",
    "createdByType": "User",
    "createdAt": "2026-02-10T17:26:12.585Z",
    "lastModifiedBy": "xxc",
    "lastModifiedByType": "User",
    "lastModifiedAt": "2026-02-10T17:26:12.586Z"
  },
  "properties": {
    "groupIds": [
      "nhws"
    ],
    "privateEndpoint": {
      "id": "vbt"
    },
    "privateLinkServiceConnectionState": {
      "status": "Pending",
      "description": "lknyprq",
      "actionsRequired": "vgqhrxvmviabfgmafqtbej"
    },
    "provisioningState": "Succeeded"
  }
}
Azure-AsyncOperation: https://contoso.com/operationstatus
Retry-After: 10
{
  "id": "/subscriptions/C058B75F-64D2-4E9D-8B66-65339DCB22C7/resourceGroups/rgdiscovery/providers/Microsoft.Discovery/bookshelves/a65f3c23bf2baa5bd4/privateEndpointConnections/connection",
  "name": "connection",
  "type": "Microsoft.Discovery/bookshelves/privateEndpointConnections",
  "systemData": {
    "createdBy": "ly",
    "createdByType": "User",
    "createdAt": "2026-02-10T17:26:12.585Z",
    "lastModifiedBy": "xxc",
    "lastModifiedByType": "User",
    "lastModifiedAt": "2026-02-10T17:26:12.586Z"
  },
  "properties": {
    "groupIds": [
      "nhws"
    ],
    "privateEndpoint": {
      "id": "vbt"
    },
    "privateLinkServiceConnectionState": {
      "status": "Pending",
      "description": "lknyprq",
      "actionsRequired": "vgqhrxvmviabfgmafqtbej"
    },
    "provisioningState": "Succeeded"
  }
}

Definitions

Name Description
BookshelfPrivateEndpointConnection

The Private Endpoint Connection resource for Bookshelf.

createdByType

The type of identity that created the resource.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

PrivateEndpoint

The private endpoint resource.

PrivateEndpointConnectionProperties

Properties of the private endpoint connection.

PrivateEndpointConnectionProvisioningState

The current provisioning state.

PrivateEndpointServiceConnectionStatus

The private endpoint connection status.

PrivateLinkServiceConnectionState

A collection of information about the state of the connection between service consumer and provider.

systemData

Metadata pertaining to creation and last modification of the resource.

BookshelfPrivateEndpointConnection

The Private Endpoint Connection resource for Bookshelf.

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

The name of the resource

properties

PrivateEndpointConnectionProperties

The resource-specific properties for this resource.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

PrivateEndpoint

The private endpoint resource.

Name Type Description
id

string

The ARM identifier for private endpoint.

PrivateEndpointConnectionProperties

Properties of the private endpoint connection.

Name Type Description
groupIds

string[]

The group ids for the private endpoint resource.

privateEndpoint

PrivateEndpoint

The private endpoint resource.

privateLinkServiceConnectionState

PrivateLinkServiceConnectionState

A collection of information about the state of the connection between service consumer and provider.

provisioningState

PrivateEndpointConnectionProvisioningState

The provisioning state of the private endpoint connection resource.

PrivateEndpointConnectionProvisioningState

The current provisioning state.

Value Description
Succeeded
Creating
Deleting
Failed

PrivateEndpointServiceConnectionStatus

The private endpoint connection status.

Value Description
Pending
Approved
Rejected

PrivateLinkServiceConnectionState

A collection of information about the state of the connection between service consumer and provider.

Name Type Description
actionsRequired

string

A message indicating if changes on the service provider require any updates on the consumer.

description

string

The reason for approval/rejection of the connection.

status

PrivateEndpointServiceConnectionStatus

Indicates whether the connection has been Approved/Rejected/Removed by the owner of the service.

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.